> For the complete documentation index, see [llms.txt](https://docs.suggestic.com/graphql/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.suggestic.com/graphql/query/mutations/lab-tests/remove-recommended-supplement.md).

# Remove Recommended Supplement

Use `deleteSupplementRecommended` to remove recommended supplement using Id.

## Required Arguments

| Argument                  | Type | Description                |
| ------------------------- | ---- | -------------------------- |
| `supplementRecommendedId` | ID!  | Recommended Supplement Id. |

## Available Fields

| Field     | Type   | Description                                                       |
| --------- | ------ | ----------------------------------------------------------------- |
| `success` | String | Success if Recommended Supplement created succesfully.            |
| `message` | String | Description of the result. Either if the recipe was added or not. |

## Example

{% tabs %}
{% tab title="Query" %}

```graphql
mutation deleteSupplementRecommended {
    deleteSupplementRecommended(id: "U3VwcGxlbWVudFJlY29tbWVuZGVkOjE=") {
        success message
        supplementRecommended {
            id valueMax valueMin supplement { id name description }
            normalValues
        }
    }
}
```

{% endtab %}

{% tab title="Response" %}

```graphql
{
  "data": {
    "deleteSupplementRecommended": {
      "success": true,
      "message": "Supplement recommended deleted",
      "supplementRecommended": {
        "id": "U3VwcGxlbWVudFJlY29tbWVuZGVkOjE=",
        "valueMax": 3,
        "valueMin": 1,
        "supplement": {
          "id": "U3VwcGxlbWVudDo0ZGNkNzRkMS05M2NlLTQyY2ItYTFjZC03MjcxODYzNWZjZGE=",
          "name": "Kid's Vitamin D3 (Liquid)",
          "description": "Kid's Vitamin D3 is a convenient liquid formulation for children under 50 pounds to boost immunity and support healthy development. Maintaining healthy vitamin levels for kids through diet alone can often be difficult. With a simple liquid formula, adding all the benefits of vitamin D3 becomes quick and easy."
        },
        "normalValues": []
      }
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.suggestic.com/graphql/query/mutations/lab-tests/remove-recommended-supplement.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
